org.codehaus.groovy.binding

## Class ClosureTriggerBinding

- java.lang.Object
- - org.codehaus.groovy.binding.ClosureTriggerBinding

- All Implemented Interfaces:
    SourceBinding, TriggerBinding

      public class ClosureTriggerBinding
      extends java.lang.Object
      implements TriggerBinding, SourceBinding

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClosureTriggerBinding(java.util.Map<java.lang.String,TriggerBinding> syntheticBindings)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `Closure` | `getClosure()`
    `java.lang.Object` | `getSourceValue()`
    `void` | `setClosure(Closure closure)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClosureTriggerBinding

          public ClosureTriggerBinding(java.util.Map<java.lang.String,TriggerBinding> syntheticBindings)

  - ### Method Detail

    - #### getClosure

          public Closure getClosure()

    - #### setClosure

          public void setClosure(Closure closure)

    - #### createBinding

          public FullBinding createBinding(SourceBinding source,
                                  TargetBinding target)

      Specified by:
        `createBinding` in interface `TriggerBinding`

    - #### getSourceValue

          public java.lang.Object getSourceValue()

      Specified by:
        `getSourceValue` in interface `SourceBinding`